## ytfzf 0.1.0

=== .pc/0005-Makefile-Don-t-run-flake8-when-running-offlinetest.patch/Makefile ===
all: youtube-dl README.md CONTRIBUTING.md README.txt youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish supportedsites

clean:
	rm -rf youtube-dl.1.temp.md youtube-dl.1 youtube-dl.bash-completion README.txt MANIFEST build/ dist/ .coverage cover/ youtube-dl.tar.gz youtube-dl.zsh youtube-dl.fish youtube_dl/extractor/lazy_extractors.py *.dump *.part* *.ytdl *.info.json *.mp4 *.m4a *.flv *.mp3 *.avi *.mkv *.webm *.3gp *.wav *.ape *.swf *.jpg *.png CONTRIBUTING.md.tmp youtube-dl youtube-dl.exe
	find . -name "*.pyc" -delete
	find . -name "*.class" -delete

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/man
SHAREDIR ?= $(PREFIX)/share
PYTHON ?= /usr/bin/env python

# set SYSCONFDIR to /etc if PREFIX=/usr or PREFIX=/usr/local
SYSCONFDIR = $(shell if [ $(PREFIX) = /usr -o $(PREFIX) = /usr/local ]; then echo /etc; else echo $(PREFIX)/etc; fi)

# set markdown input format to "markdown-smart" for pandoc version 2 and to "markdown" for pandoc prior to version 2
MARKDOWN = $(shell if [ `pandoc -v | head -n1 | cut -d" " -f2 | head -c1` = "2" ]; then echo markdown-smart; else echo markdown; fi)

install: youtube-dl youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 youtube-dl $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)/man1
	install -m 644 youtube-dl.1 $(DESTDIR)$(MANDIR)/man1
	install -d $(DESTDIR)$(SYSCONFDIR)/bash_completion.d
	install -m 644 youtube-dl.bash-completion $(DESTDIR)$(SYSCONFDIR)/bash_completion.d/youtube-dl
	install -d $(DESTDIR)$(SHAREDIR)/zsh/site-functions
	install -m 644 youtube-dl.zsh $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_youtube-dl
	install -d $(DESTDIR)$(SYSCONFDIR)/fish/completions
	install -m 644 youtube-dl.fish $(DESTDIR)$(SYSCONFDIR)/fish/completions/youtube-dl.fish

codetest:
	flake8 \
		--exclude=.svn,CVS,.bzr,.hg,.git,__pycache__,.tox,.eggs,*.egg,.pc,.pybuild \
		--ignore=E121,E123,E126,E226,E24,E704,E402,E501,E731,E741,W503,W504,N802,N803,N806,N816,F401,F821,E302,E305,N801,N815,E265,N813,F403,F405 \
		.

test:
	#nosetests --with-coverage --cover-package=youtube_dl --cover-html --verbose --processes 4 test
	nosetests --verbose test
	$(MAKE) codetest

ot: offlinetest

# Keep this list in sync with devscripts/run_tests.sh
offlinetest: codetest
	$(PYTHON) -m nose --verbose test \
		--exclude test_age_restriction.py \
		--exclude test_download.py \
		--exclude test_iqiyi_sdk_interpreter.py \
		--exclude test_socks.py \
		--exclude test_subtitles.py \
		--exclude test_write_annotations.py \
		--exclude test_youtube_lists.py \
		--exclude test_youtube_signature.py \
		--exclude test_downloader_http.py \
		--exclude test_InfoExtractor.py \
		--exclude test_http.py

tar: youtube-dl.tar.gz

.PHONY: all clean install test tar bash-completion pypi-files zsh-completion fish-completion ot offlinetest codetest supportedsites

pypi-files: youtube-dl.bash-completion README.txt youtube-dl.1 youtube-dl.fish

youtube-dl: youtube_dl/*.py youtube_dl/*/*.py
	mkdir -p zip
	for d in youtube_dl youtube_dl/downloader youtube_dl/extractor youtube_dl/postprocessor ; do \
	  mkdir -p zip/$$d ;\
	  cp -pPR $$d/*.py zip/$$d/ ;\
	done
	touch -t 200001010101 zip/youtube_dl/*.py zip/youtube_dl/*/*.py
	mv zip/youtube_dl/__main__.py zip/
	cd zip ; zip -q ../youtube-dl youtube_dl/*.py youtube_dl/*/*.py __main__.py
	rm -rf zip
	echo '#!$(PYTHON)' > youtube-dl
	cat youtube-dl.zip >> youtube-dl
	rm youtube-dl.zip
	chmod a+x youtube-dl

README.md: youtube_dl/*.py youtube_dl/*/*.py
	COLUMNS=80 $(PYTHON) youtube_dl/__main__.py --help | $(PYTHON) devscripts/make_readme.py

CONTRIBUTING.md: README.md
	$(PYTHON) devscripts/make_contributing.py README.md CONTRIBUTING.md

issuetemplates: devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.md .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.md .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.md .github/ISSUE_TEMPLATE_tmpl/4_bug_report.md .github/ISSUE_TEMPLATE_tmpl/5_feature_request.md youtube_dl/version.py
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.md .github/ISSUE_TEMPLATE/1_broken_site.md
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.md .github/ISSUE_TEMPLATE/2_site_support_request.md
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.md .github/ISSUE_TEMPLATE/3_site_feature_request.md
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/4_bug_report.md .github/ISSUE_TEMPLATE/4_bug_report.md
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/5_feature_request.md .github/ISSUE_TEMPLATE/5_feature_request.md

supportedsites:
	$(PYTHON) devscripts/make_supportedsites.py docs/supportedsites.md

README.txt: README.md
	pandoc -f $(MARKDOWN) -t plain README.md -o README.txt

youtube-dl.1: README.md
	$(PYTHON) devscripts/prepare_manpage.py youtube-dl.1.temp.md
	pandoc -s -f $(MARKDOWN) -t man youtube-dl.1.temp.md -o youtube-dl.1
	rm -f youtube-dl.1.temp.md

youtube-dl.bash-completion: youtube_dl/*.py youtube_dl/*/*.py devscripts/bash-completion.in
	$(PYTHON) devscripts/bash-completion.py

bash-completion: youtube-dl.bash-completion

youtube-dl.zsh: youtube_dl/*.py youtube_dl/*/*.py devscripts/zsh-completion.in
	$(PYTHON) devscripts/zsh-completion.py

zsh-completion: youtube-dl.zsh

youtube-dl.fish: youtube_dl/*.py youtube_dl/*/*.py devscripts/fish-completion.in
	$(PYTHON) devscripts/fish-completion.py

fish-completion: youtube-dl.fish

lazy-extractors: youtube_dl/extractor/lazy_extractors.py

_EXTRACTOR_FILES = $(shell find youtube_dl/extractor -iname '*.py' -and -not -iname 'lazy_extractors.py')
youtube_dl/extractor/lazy_extractors.py: devscripts/make_lazy_extractors.py devscripts/lazy_load_template.py $(_EXTRACTOR_FILES)
	$(PYTHON) devscripts/make_lazy_extractors.py $@

youtube-dl.tar.gz: youtube-dl README.md README.txt youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish ChangeLog AUTHORS
	@tar -czf youtube-dl.tar.gz --transform "s|^|youtube-dl/|" --owner 0 --group 0 \
		--exclude '*.DS_Store' \
		--exclude '*.kate-swp' \
		--exclude '*.pyc' \
		--exclude '*.pyo' \
		--exclude '*~' \
		--exclude '__pycache__' \
		--exclude '.git' \
		--exclude 'docs/_build' \
		-- \
		bin devscripts test youtube_dl docs \
		ChangeLog AUTHORS LICENSE README.md README.txt \
		Makefile MANIFEST.in youtube-dl.1 youtube-dl.bash-completion \
		youtube-dl.zsh youtube-dl.fish setup.py setup.cfg \
		youtube-dl

=== debian/changelog ===
ytfzf (0.1.0) unstable; urgency=medium

  * initial build 

 -- anticapitalista <antix@operamail.com>  Tue, 20 Apr 2021 19:35:18 +0300

=== debian/control ===
Source: ytfzf
Maintainer: Rogério Brito <rbrito@ime.usp.br>
Section: web
Priority: optional
Standards-Version: 4.5.1
Vcs-Git: thttps://github.com/pystardust/ytfzf

Package: ytfzf
Depends: jq, mpv, youtube-dl, fzf
Architecture: all
Description: A POSIX script that helps you find Youtube videos (without API) and opens/downloads them using mpv/youtube-dl

## ytfzf 0.1.1

=== debian/changelog ===
ytfzf (0.1.1) unstable; urgency=medium

  * upstream version 1.2.0
  * added yt-dlp as an alternatve dependency to youtube-dl

 -- anticapitalista <antix@operamail.com>  Fri, 22 Oct 2021 13:34:01 +0300

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,6 @@
 Vcs-Git: thttps://github.com/pystardust/ytfzf
 
 Package: ytfzf
-Depends: jq, mpv, youtube-dl, fzf
+Depends: jq, mpv, yt-dlp | youtube-dl, fzf
 Architecture: all
 Description: A POSIX script that helps you find Youtube videos (without API) and opens/downloads them using mpv/youtube-dl

## ytfzf 0.2.0

=== debian/changelog ===
ytfzf (0.2.0) unstable; urgency=medium

  * latest upstream version - 2.2.alpha-4

 -- anticapitalista <antix@operamail.com>  Wed, 26 Jan 2022 17:30:04 +0200

## ytfzf 0.2.1

=== .pc/0004-Skip-directories-and-style-checks-for-flake8.patch/Makefile ===
all: youtube-dl README.md CONTRIBUTING.md README.txt youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish supportedsites

clean:
	rm -rf youtube-dl.1.temp.md youtube-dl.1 youtube-dl.bash-completion README.txt MANIFEST build/ dist/ .coverage cover/ youtube-dl.tar.gz youtube-dl.zsh youtube-dl.fish youtube_dl/extractor/lazy_extractors.py *.dump *.part* *.ytdl *.info.json *.mp4 *.m4a *.flv *.mp3 *.avi *.mkv *.webm *.3gp *.wav *.ape *.swf *.jpg *.png CONTRIBUTING.md.tmp youtube-dl youtube-dl.exe
	find . -name "*.pyc" -delete
	find . -name "*.class" -delete

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/man
SHAREDIR ?= $(PREFIX)/share
PYTHON ?= /usr/bin/env python

# set SYSCONFDIR to /etc if PREFIX=/usr or PREFIX=/usr/local
SYSCONFDIR = $(shell if [ $(PREFIX) = /usr -o $(PREFIX) = /usr/local ]; then echo /etc; else echo $(PREFIX)/etc; fi)

# set markdown input format to "markdown-smart" for pandoc version 2 and to "markdown" for pandoc prior to version 2
MARKDOWN = $(shell if [ `pandoc -v | head -n1 | cut -d" " -f2 | head -c1` = "2" ]; then echo markdown-smart; else echo markdown; fi)

install: youtube-dl youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 youtube-dl $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)/man1
	install -m 644 youtube-dl.1 $(DESTDIR)$(MANDIR)/man1
	install -d $(DESTDIR)$(SYSCONFDIR)/bash_completion.d
	install -m 644 youtube-dl.bash-completion $(DESTDIR)$(SYSCONFDIR)/bash_completion.d/youtube-dl
	install -d $(DESTDIR)$(SHAREDIR)/zsh/site-functions
	install -m 644 youtube-dl.zsh $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_youtube-dl
	install -d $(DESTDIR)$(SYSCONFDIR)/fish/completions
	install -m 644 youtube-dl.fish $(DESTDIR)$(SYSCONFDIR)/fish/completions/youtube-dl.fish

codetest:
	flake8 .

test:
	#nosetests --with-coverage --cover-package=youtube_dl --cover-html --verbose --processes 4 test
	nosetests --verbose test
	$(MAKE) codetest

ot: offlinetest

# Keep this list in sync with devscripts/run_tests.sh
offlinetest: codetest
	$(PYTHON) -m nose --verbose test \
		--exclude test_age_restriction.py \
		--exclude test_download.py \
		--exclude test_iqiyi_sdk_interpreter.py \
		--exclude test_socks.py \
		--exclude test_subtitles.py \
		--exclude test_write_annotations.py \
		--exclude test_youtube_lists.py \
		--exclude test_youtube_signature.py \
		--exclude test_downloader_http.py \
		--exclude test_InfoExtractor.py \
		--exclude test_http.py

tar: youtube-dl.tar.gz

.PHONY: all clean install test tar bash-completion pypi-files zsh-completion fish-completion ot offlinetest codetest supportedsites

pypi-files: youtube-dl.bash-completion README.txt youtube-dl.1 youtube-dl.fish

youtube-dl: youtube_dl/*.py youtube_dl/*/*.py
	mkdir -p zip
	for d in youtube_dl youtube_dl/downloader youtube_dl/extractor youtube_dl/postprocessor ; do \
	  mkdir -p zip/$$d ;\
	  cp -pPR $$d/*.py zip/$$d/ ;\
	done
	touch -t 200001010101 zip/youtube_dl/*.py zip/youtube_dl/*/*.py
	mv zip/youtube_dl/__main__.py zip/
	cd zip ; zip -q ../youtube-dl youtube_dl/*.py youtube_dl/*/*.py __main__.py
	rm -rf zip
	echo '#!$(PYTHON)' > youtube-dl
	cat youtube-dl.zip >> youtube-dl
	rm youtube-dl.zip
	chmod a+x youtube-dl

README.md: youtube_dl/*.py youtube_dl/*/*.py
	COLUMNS=80 $(PYTHON) youtube_dl/__main__.py --help | $(PYTHON) devscripts/make_readme.py

CONTRIBUTING.md: README.md
	$(PYTHON) devscripts/make_contributing.py README.md CONTRIBUTING.md

issuetemplates: devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.md .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.md .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.md .github/ISSUE_TEMPLATE_tmpl/4_bug_report.md .github/ISSUE_TEMPLATE_tmpl/5_feature_request.md youtube_dl/version.py
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.md .github/ISSUE_TEMPLATE/1_broken_site.md
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.md .github/ISSUE_TEMPLATE/2_site_support_request.md
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.md .github/ISSUE_TEMPLATE/3_site_feature_request.md
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/4_bug_report.md .github/ISSUE_TEMPLATE/4_bug_report.md
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/5_feature_request.md .github/ISSUE_TEMPLATE/5_feature_request.md

supportedsites:
	$(PYTHON) devscripts/make_supportedsites.py docs/supportedsites.md

README.txt: README.md
	pandoc -f $(MARKDOWN) -t plain README.md -o README.txt

youtube-dl.1: README.md
	$(PYTHON) devscripts/prepare_manpage.py youtube-dl.1.temp.md
	pandoc -s -f $(MARKDOWN) -t man youtube-dl.1.temp.md -o youtube-dl.1
	rm -f youtube-dl.1.temp.md

youtube-dl.bash-completion: youtube_dl/*.py youtube_dl/*/*.py devscripts/bash-completion.in
	$(PYTHON) devscripts/bash-completion.py

bash-completion: youtube-dl.bash-completion

youtube-dl.zsh: youtube_dl/*.py youtube_dl/*/*.py devscripts/zsh-completion.in
	$(PYTHON) devscripts/zsh-completion.py

zsh-completion: youtube-dl.zsh

youtube-dl.fish: youtube_dl/*.py youtube_dl/*/*.py devscripts/fish-completion.in
	$(PYTHON) devscripts/fish-completion.py

fish-completion: youtube-dl.fish

lazy-extractors: youtube_dl/extractor/lazy_extractors.py

_EXTRACTOR_FILES = $(shell find youtube_dl/extractor -iname '*.py' -and -not -iname 'lazy_extractors.py')
youtube_dl/extractor/lazy_extractors.py: devscripts/make_lazy_extractors.py devscripts/lazy_load_template.py $(_EXTRACTOR_FILES)
	$(PYTHON) devscripts/make_lazy_extractors.py $@

youtube-dl.tar.gz: youtube-dl README.md README.txt youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish ChangeLog AUTHORS
	@tar -czf youtube-dl.tar.gz --transform "s|^|youtube-dl/|" --owner 0 --group 0 \
		--exclude '*.DS_Store' \
		--exclude '*.kate-swp' \
		--exclude '*.pyc' \
		--exclude '*.pyo' \
		--exclude '*~' \
		--exclude '__pycache__' \
		--exclude '.git' \
		--exclude 'docs/_build' \
		-- \
		bin devscripts test youtube_dl docs \
		ChangeLog AUTHORS LICENSE README.md README.txt \
		Makefile MANIFEST.in youtube-dl.1 youtube-dl.bash-completion \
		youtube-dl.zsh youtube-dl.fish setup.py setup.cfg \
		youtube-dl

=== debian/changelog ===
ytfzf (0.2.1) unstable; urgency=medium

  * latest upstream version - 2.2
  * include addons

 -- anticapitalista <antix@operamail.com>  Mon, 28 Mar 2022 13:19:40 +0300

## ytfzf 0.2.3

=== debian/changelog ===
ytfzf (0.2.3) unstable; urgency=medium

  * latest upstream version - 2.3

 -- anticapitalista <antix@operamail.com>  Mon, 18 Apr 2022 21:07:06 +0300

=== debian/control ===
Source: ytfzf
Maintainer: anticapitalista <anticapitalista@riseup.net>
Section: web
Priority: optional
Standards-Version: 4.5.1
Vcs-Git: thttps://github.com/pystardust/ytfzf

Package: ytfzf
Depends: jq, mpv, youtube-dl, fzf
Architecture: all
Description: A POSIX script that helps you find Youtube videos (without API) and opens/downloads them using mpv/youtube-dl

## ytfzf 2.3

=== debian/changelog ===
ytfzf (2.3-1) experimental; urgency=medium

  * Initial release. (Closes: #1011591)

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Tue, 24 May 2022 16:42:16 -0300

=== debian/control ===
Source: ytfzf
Section: web
Priority: optional
Maintainer: Braulio Henrique Marques Souto <braulio@disroot.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.1
Homepage: https://github.com/pystardust/ytfzf
Vcs-Browser: https://salsa.debian.org/debian/ytfzf
Vcs-Git: https://salsa.debian.org/debian/ytfzf.git

Package: ytfzf
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 curl,
 jq,
Recommends:
 fzf,
 mpv,
Suggests:
 chafa,
 dmenu,
 imv,
 youtube-dl,
Description: POSIX script to find and watch youtube videos from the terminal.(Without API)
 Is a script to search, download and play YouTube videos by making use
 of mpv and youtube-dl under the hood. It works on Linux and macOS.
 For each YouTube search query, a list of results in shown in the right-hand
 side pane. On the left-hand side you can see the selected video title,
 the channel that posted the video, the number of views, video duration,
 upload date, and the video thumbnail (which is optional).
 Besides this, ytfzf also features support for video history, allows choosing
 the media format, and can queue multiple tracks (using fzf multi-selection).
 You can search for YouTube videos and play / download using fzf, dmenu. Other
 features include the ability to play / download audio only, auto-play and
 repeat YouTube videos, play a random search result, and there's also an option
 to show available media formats before proceeding.
 See the ytfzf --help for a complete list of options.

## ytfzf 2.4.0

=== debian/changelog ===
ytfzf (2.4.0-1) unstable; urgency=medium

  * New upstream version
  * Added new file d/patches/00-fix-path-dir-addon.patch in d/patches/series.
  * New patch file d/patches/00-fix-path-dir-addon.patch. (Closes: #1015183)
     - Fix PATH of the addons directory in ytfzf.
  * Patches updated for new upstream version 2.4.0.
  * Removed addons/extensions/gui and addons/interfaces/gui. (Closes: #1015184)
     - gtkdialog was removed from Debian in 2009, and required for the gui
       extension, then these two files will not be installed.
  * Updated d/control: (Closes: #1015182)
     - Added: ${perl:Depends}, python3-distutils-extra, ueberzug, vlc.
     - New long description.
     - Removed: ${shlibs:Depends}.

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Tue, 19 Jul 2022 23:48:56 -0300

ytfzf (2.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Thu, 07 Jul 2022 15:40:00 -0300

## ytfzf 2.4.1

=== debian/changelog ===
ytfzf (2.4.1-2) unstable; urgency=medium

  * debian/control:
      - Improved long and short description.
      - Set 'Multi-Arch: foreign'.
  * debian/copyright:
      - Changed in Upstream-Name field from 'Harshith Pystardust' to 'ytfzf'.
      - Fixed the upstream name.
      - Relicensed packaging to GPL-3+.
  * debian/docs:
      - Added 'CONTRIBUTING.md'.
      - Moved 'docs/subscriptions' to debian/examples.
  * debian/examples: added to install upstream examples files.
  * debian/manpages: added to install the upstream manpages.
  * debian/rules:
      - Added 'execute_after_dh_fixperms:' to fix w3m file permission.
      - Removed 'override_dh_installdocs:' because it was replaced by the
        file 'debian/docs'.
      - Removed 'override_dh_installman:' because it was replaced by the
        file 'debian/manpages'.
  * debian/salsa-ci.yml: changed to the basic instructions in 2 lines.
  * debian/tests/control: added to provide CI tests.
  * debian/upstream/metadata: removed line 'Changelog'.

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Mon, 05 Sep 2022 13:09:16 -0300

ytfzf (2.4.1-1) unstable; urgency=medium

  * New upstream version.
  * Added in:
     - d/copyright: e-mail upstream <pystardust@protonmail.com>.
     - d/docs: docs/subscriptions.
     - d/install: addons/extensions/buttons,
                  addons/extensions/ipc.
  * Patches updated for new upstream version 2.4.1.

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Mon, 08 Aug 2022 15:11:05 -0300

=== debian/rules ===
#!/usr/bin/make -f

export DESTDIR=debian/ytfzf

%:
	dh $@

execute_after_dh_fixperms:
	chmod 0755 $(DESTDIR)/usr/share/ytfzf/addons/thumbnail-viewers/w3m

=== debian/tests/control ===
Test-Command: ytfzf -h | egrep -i help
Restrictions: superficial

Test-Command: ytfzf --version | egrep ytfzf
Restrictions: superficial

Test-Command: ytfzf -rLcO debian 2>&1 | egrep -i http || exit 77
Restrictions: skippable

Test-Command: ytfzf -a -I L,VJ,R,F debian 2>&1 | egrep -i title || exit 77
Restrictions: skippable

=== debian/watch ===
version=4
https://github.com/pystardust/ytfzf/releases .*/tags/v?@ANY_VERSION@@ARCHIVE_EXT@

## ytfzf 2.5.0

=== Makefile ===
PROG=ytfzf
PREFIX=/usr/local
BINDIR=${PREFIX}/bin
DOCDIR=${PREFIX}/share/doc/ytfzf
MANDIR=${PREFIX}/share/man
LICENSEDIR=${PREFIX}/share/licenses/ytfzf

YTFZF_SYSTEM_ADDON_DIR=${PREFIX}/share/ytfzf/addons

doc:
	mkdir -p ${DESTDIR}${MANDIR}/man1
	mkdir -p ${DESTDIR}${MANDIR}/man5
	mkdir -p ${DESTDIR}${DOCDIR}
	mkdir -p ${DESTDIR}${LICENSEDIR}
	chmod 644 docs/man/ytfzf.1 docs/man/ytfzf.5 docs/conf.sh LICENSE
	cp docs/man/ytfzf.1 ${DESTDIR}${MANDIR}/man1
	cp docs/man/ytfzf.5 ${DESTDIR}${MANDIR}/man5
	cp docs/conf.sh ${DESTDIR}${DOCDIR}
	cp LICENSE ${DESTDIR}${LICENSEDIR}

install:
	chmod 755 ${PROG}
	mkdir -p ${DESTDIR}${BINDIR}
	cp ${PROG} ${DESTDIR}${BINDIR}/${PROG}

addons:
	chmod 755 addons/*/*
	mkdir -p ${DESTDIR}${YTFZF_SYSTEM_ADDON_DIR}
	cp -r addons/interfaces ${DESTDIR}${YTFZF_SYSTEM_ADDON_DIR}
	cp -r addons/scrapers ${DESTDIR}${YTFZF_SYSTEM_ADDON_DIR}
	cp -r addons/sort-names ${DESTDIR}${YTFZF_SYSTEM_ADDON_DIR}
	cp -r addons/thumbnail-viewers ${DESTDIR}${YTFZF_SYSTEM_ADDON_DIR}
	cp -r addons/url-handlers ${DESTDIR}${YTFZF_SYSTEM_ADDON_DIR}
	cp -r addons/extensions ${DESTDIR}${YTFZF_SYSTEM_ADDON_DIR}

uninstall:
	rm -f ${DESTDIR}${MANDIR}/man1/ytfzf.1
	rm -f ${DESTDIR}${MANDIR}/man5/ytfzf.5
	rm -rf ${DESTDIR}${DOCDIR}
	rm -rf ${DESTDIR}${LICENSEDIR}
	rm -f ${DESTDIR}${BINDIR}/${PROG}
	rm -rf ${DESTDIR}${YTFZF_SYSTEM_ADDON_DIR}

#legacy install locations on linux
uninstall-old:
	rm -f /usr/bin/ytfzf
	rm -f /usr/share/man/man1/ytfzf.1*
	rm -f /usr/share/man/man5/ytfzf.5*

.PHONY: install uninstall doc addons uninstall-old

=== debian/changelog ===
ytfzf (2.5.0-1.0antix2) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Mon, 17 Oct 2022 15:47:23 +0300

ytfzf (2.5.0-1) unstable; urgency=medium

  * New upstream version.
  * debian/install: added new addons.
  * debian/patches/:
      - 00-fix-path-dir-addon.patch: updated.
      - 02-fixspell-man.patch: split in two patches to make it easier to correct
        in each file and added field Forwarded. Removed after this.
        New patches are: '04-fixspell-man1.patch' and '05-fixspell-man5.patch'.
      - 03-fixaddons.patch: added field Forwarded.
  * debian/rules: removed 'execute_after_dh_fixperms' because upstream fixed
    addons/thumbnail-viewers/w3m file permission.
  * debian/tests/control: changed 'egrep' to 'grep' because regular expression
    is not necessary.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Sat, 17 Sep 2022 12:45:35 -0300

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DESTDIR=debian/ytfzf

%:
	dh $@

## ytfzf 2.5.2

=== debian/changelog ===
ytfzf (2.5.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Fri, 11 Nov 2022 17:14:44 -0300

ytfzf (2.5.2-1) unstable; urgency=medium

  * New upstream version.
  * debian/patches/:
      - Renumbered all patches:
          ~ 00-fix-path-dir-addon.patch to 010_fix-path-dir-addon.patch.
          ~ 03-fixaddons.patch to 020_fixaddons.patch.
      - 010_fix-path-dir-addon.patch: updated.
      - 01-fixprefix.patch: removed in favor of an override add to debian/rules.
      - 030_fix-spelling-manpage5.patch: added to new fix spelling.
      - Removed because the upstream fixed the source code (thanks):
          ~ 04-fixspell-man1.patch.
          ~ 05-fixspell-man5.patch.
  * debian/rules:
      - Added targets 'override_dh_auto_build' and 'override_dh_auto_install'
        as a substitute for the patch '01-fixprefix.patch'. Consequently
        removed:
          ~ debian/install.
          ~ debian/manpages.

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Sat, 05 Nov 2022 23:31:06 -0300

=== debian/control ===
Source: ytfzf
Section: web
Priority: optional
Maintainer: Braulio Henrique Marques Souto <braulio@disroot.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://github.com/pystardust/ytfzf
Vcs-Browser: https://salsa.debian.org/debian/ytfzf
Vcs-Git: https://salsa.debian.org/debian/ytfzf.git

Package: ytfzf
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${perl:Depends},
         curl,
         jq
Recommends: fzf,
            mpv,
            python3-distutils-extra,
            ueberzug
Suggests: chafa,
          dmenu,
          imv,
          vlc,
          youtube-dl
Description: script to find and watch youtube videos from the terminal
 YTFZF is a script to search, download and play YouTube videos by making use of
 mpv and youtube-dl under the hood. It works on Linux and macOS.
 .
 For each YouTube search query, a list of results in shown in the right-hand
 side pane. On the left-hand side you can see the selected video title, the
 channel that posted the video, the number of views, video duration, upload
 date, and the video thumbnail.
 .
 Besides this, ytfzf also features support for video history, allows choosing
 the media format and can queue multiple tracks.
 .
 You can search for YouTube/Odysee/PeerTube videos and play/download using fzf,
 dmenu. Other features include the ability to play/download audio only,
 auto-play and repeat YouTube videos, play a random search result, and
 there's also an option to show available media formats before proceeding.

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,19 @@
 
 %:
 	dh $@
+
+override_dh_auto_build:
+
+override_dh_auto_install:
+	dh_auto_install -- PREFIX=/usr
+	$(MAKE) doc addons -- PREFIX=/usr
+	rm -rf $(DESTDIR)/usr/share/licenses
+
+        # 'docs/conf.sh' will be installed by debian/examples in
+        # the correct location '/usr/share/doc/ytfzf/examples'.
+	rm -rf $(DESTDIR)/usr/share/doc/ytfzf/conf.sh
+
+        # gtkdialog has been removed from Debian since 2009, and is
+        # needed for the 'gui' extension, so 'addons/extensions/gui'
+        # and 'addons/extensions/interfaces/gui' will be removed.
+	rm -rf $(DESTDIR)/usr/share/ytfzf/addons/extensions/gui $(DESTDIR)/usr/share/ytfzf/addons/interfaces/gui

## ytfzf 2.5.3

=== debian/changelog ===
ytfzf (2.5.3-1) unstable; urgency=medium

  * New upstream version.
  * debian/patches:
      - 010_fix-path-dir-addon.patch: updated.
      - 020_fixaddons.patch: removed patch in files:
          ~ addons/extensions/ani-url-handler: because upstream removed file.
          ~ addons/scrapers/ani-category: because upstream fixed (thanks).
      - 030_fix-spelling-manpage5.patch: fix spelling in docs/man//ytfzf.5.

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Tue, 13 Dec 2022 10:37:19 -0300

ytfzf (2.5.2-2) unstable; urgency=medium

  * debian/control: changed from 'youtube-dl' to 'yt-dlp | youtube-dl' in
    Suggests field. Thanks to Andres Salomon <dilinger@queued.net>.
    (Closes: #1024230)

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Mon, 28 Nov 2022 00:37:54 -0300

## ytfzf 2.5.4

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,12 @@
 LICENSEDIR=${PREFIX}/share/licenses/ytfzf
 
 YTFZF_SYSTEM_ADDON_DIR=${PREFIX}/share/ytfzf/addons
+
+.DEFAULT_GOAL := default
+
+all:
+
+default: install doc
 
 doc:
 	mkdir -p ${DESTDIR}${MANDIR}/man1
@@ -47,4 +53,4 @@
 	rm -f /usr/share/man/man1/ytfzf.1*
 	rm -f /usr/share/man/man5/ytfzf.5*
 
-.PHONY: install uninstall doc addons uninstall-old
+.PHONY: all default install uninstall doc addons uninstall-old

=== debian/changelog ===
ytfzf (2.5.4-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches:
      - 010_fix-path-dir-addon.patch: updated.
      - 030_fix-spelling-manpage5.patch: removed because upstream fixed
        (thanks).

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Thu, 19 Jan 2023 21:39:27 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Braulio Henrique Marques Souto <braulio@disroot.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/pystardust/ytfzf
 Vcs-Browser: https://salsa.debian.org/debian/ytfzf
 Vcs-Git: https://salsa.debian.org/debian/ytfzf.git
@@ -24,7 +24,7 @@
           dmenu,
           imv,
           vlc,
-          youtube-dl
+          yt-dlp | youtube-dl
 Description: script to find and watch youtube videos from the terminal
  YTFZF is a script to search, download and play YouTube videos by making use of
  mpv and youtube-dl under the hood. It works on Linux and macOS.

=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,5 @@
         # gtkdialog has been removed from Debian since 2009, and is
         # needed for the 'gui' extension, so 'addons/extensions/gui'
         # and 'addons/extensions/interfaces/gui' will be removed.
-	rm -rf $(DESTDIR)/usr/share/ytfzf/addons/extensions/gui $(DESTDIR)/usr/share/ytfzf/addons/interfaces/gui
+	rm -rf $(DESTDIR)/usr/share/ytfzf/addons/extensions/gui \
+	       $(DESTDIR)/usr/share/ytfzf/addons/interfaces/gui

=== debian/tests/control ===
Test-Command: ytfzf -h | grep -i help
Restrictions: superficial

Test-Command: ytfzf --version | grep -i ytfzf
Restrictions: superficial

Test-Command: ytfzf -rLcO debian 2>&1 | grep -i http || exit 77
Restrictions: skippable

Test-Command: ytfzf -a -I L,VJ,R,F debian 2>&1 | grep -i title || exit 77
Restrictions: skippable

## ytfzf 2.6.0

=== debian/changelog ===
ytfzf (2.6.0-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: added 'python3' in Suggests field.
  * debian/patches:
      - 030_fix-python-shebang.patch: added to fix shebang in new addons file.

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Fri, 21 Jul 2023 10:27:15 -0300

## ytfzf 2.6.1

=== Makefile ===
--- 
+++ 
@@ -26,8 +26,11 @@
 
 install:
 	chmod 755 ${PROG}
+	cp ${PROG} ${PROG}.bak
+	sed 's_$${YTFZF\_SYSTEM\_ADDON\_DIR:=/usr/local/share/ytfzf/addons}_$${YTFZF\_SYSTEM\_ADDON\_DIR:=${YTFZF_SYSTEM_ADDON_DIR}}_' < ${PROG} > ${PROG}.bak
 	mkdir -p ${DESTDIR}${BINDIR}
-	cp ${PROG} ${DESTDIR}${BINDIR}/${PROG}
+	cp ${PROG}.bak ${DESTDIR}${BINDIR}/${PROG}
+	rm ${PROG}.bak
 
 addons:
 	chmod 755 addons/*/*

=== debian/changelog ===
ytfzf (2.6.1-1) unstable; urgency=medium

  * New upstream version.
  * debian/patches:
      - 010_fix-path-dir-addon.patch: updated.

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Fri, 15 Dec 2023 22:42:46 -0300

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
 Suggests: chafa,
           dmenu,
           imv,
+          python3,
           vlc,
           yt-dlp | youtube-dl
 Description: script to find and watch youtube videos from the terminal

=== debian/watch ===
version=4
https://github.com/pystardust/ytfzf/tags .*/tags/v?([\d\.]+)@ARCHIVE_EXT@
